Bug 24789 - Remove 'ITS' macro format
Summary: Remove 'ITS' macro format
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: additional_work_needed
Depends on:
Blocks: 17268
  Show dependency treegraph
 
Reported: 2020-03-03 13:30 UTC by Nick Clemens
Modified: 2020-04-14 23:55 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
During the initial Rancor (advanced cataloging editor) development an existing macro language was copied. As development continued a Rancor macro language was developed. The new language accomplished all needs of the prior language. The old macro language was intended to be removed before submission to community, but was missed. These patches remove the legacy support in favour of the Koha specific model.
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24789: Remove ITS macro format (12.35 KB, patch)
2020-03-03 13:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24789: Remove ITS macro format (12.41 KB, patch)
2020-03-11 15:09 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24789: Remove ITS macro format (12.47 KB, patch)
2020-03-15 14:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24789: [follow-up] Fix saving of macros (1.48 KB, patch)
2020-03-16 14:57 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-03-03 13:30:05 UTC
During development there was support added for a secondary macro format, however, I do not believe it was fully supported or documented. It was based on another ILS macro format I believe

As the rancor format was documented and explained I think we should remove the other format. According to original developer this was intended to be done before submission.
Comment 1 Nick Clemens 2020-03-03 13:31:57 UTC
Created attachment 100005 [details] [review]
Bug 24789: Remove ITS macro format

To test:
1 - Apply patches
2 - Confirm you can save, load, and run macros
3 - Confirm you have no choice of format
Comment 2 Martin Renvoize 2020-03-09 09:52:47 UTC
Hmm, 

I think I thought the ITS format may be marginally more functional that our own so I wondered if rather than removal we should fully document it.

Were there copyright issues that required it's removal perhaps.. if so I'd love to see any missing functionality added into our own macro format as part of a removal?
Comment 3 Cori Lynn Arnold 2020-03-09 13:13:36 UTC
Martin,

In our (DGI's) experience, the ITS functionality in Koha isn't completely compatible with a macro exported out of ITS. 

In all cases I was able to create a Koha macro functionally the same as the ITS macro (albeit in multiple lines where the ITS version may have had 1).
Comment 4 Martin Renvoize 2020-03-09 13:35:49 UTC
That's good to know Cori, sounds like we can indeed nuke it then. :)
Comment 5 Andrew Fuerste-Henry 2020-03-11 15:09:28 UTC
Created attachment 100578 [details] [review]
Bug 24789: Remove ITS macro format

To test:
1 - Apply patches
2 - Confirm you can save, load, and run macros
3 - Confirm you have no choice of format

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Katrin Fischer 2020-03-15 14:14:55 UTC
Created attachment 100700 [details] [review]
Bug 24789: Remove ITS macro format

To test:
1 - Apply patches
2 - Confirm you can save, load, and run macros
3 - Confirm you have no choice of format

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2020-03-15 14:15:16 UTC
Please update text to go into release notes for this one!
Comment 8 Martin Renvoize 2020-03-16 11:03:30 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Nick Clemens 2020-03-16 14:57:23 UTC
Created attachment 100757 [details] [review]
Bug 24789: [follow-up] Fix saving of macros

Saving was accidentally commented out in patches, this restores that

To test:
1 - Create a new macro
2 - Add some content
3 - Reload the macro, no content
4 - Apply patch
5 - Repeat
6 - Macro saves/loads correctly
Comment 10 Martin Renvoize 2020-03-16 15:08:31 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-04-03 18:21:46 UTC
backported to 19.11.x branch for 19.11.05
Comment 12 Lucas Gass 2020-04-10 16:46:23 UTC
backported to 19.05.x for 19.05.10
Comment 13 Hayley Mapley 2020-04-14 23:55:28 UTC
Enhancement/minor will not be backported to 18.11.x series